Page 1 of 3 123 LastLast
Results 1 to 10 of 21

Thread: OS 13.1 - Yast2 Scanner Configuration

  1. #1
    Join Date
    Jun 2008
    Location
    South-West France
    Posts
    1,307

    Default OS 13.1 - Yast2 Scanner Configuration

    When I try to configure scanning thru network in yast2/hardware/scanner, I get this error :
    Code:
    /usr/lib/YaST2/bin/setup_network_scanner_config: line 74: /etc/init.d/xinetd: No such file or directory
    Failed to start xinetd
    There is no /etc/init.d/xinetd file. I suppose because xinetd is started via systemd/systemctl
    When I look in the file /usr/lib/YaST2/bin/setup_network_scanner_config around line 74 I can read :
    Code:
    # Enable the saned if "$SANED_CONFIG" is not the empty string otherwise disable the saned
    # and do the appropriate stuff regarding the xinetd:
    if [ -n "$SANED_CONFIG" ]
    then  sed -i -e 's/^.*disable.*$/\tdisable     = no/' $XINETD_CONFIG_FILE || {  echo "Failed to enable saned in $XINETD_CONFIG_FILE" 1>&2 ; exit  6 ; }
         if $XINETD_INIT_SCRIPT status &>/dev/null
         then $XINETD_INIT_SCRIPT reload || { echo "Failed to reload xinetd" 1>&2 ; exit 7 ; }
         else $XINETD_INIT_SCRIPT start || { echo "Failed to start xinetd" 1>&2 ; exit 8 ; }
              insserv xinetd || { echo "Failed to insserv xinetd" 1>&2 ; exit 9 ; }
         fi
    else  sed -i -e 's/^.*disable.*$/\tdisable     = yes/' $XINETD_CONFIG_FILE ||  { echo "Failed to disable saned in $XINETD_CONFIG_FILE" 1>&2 ;  exit 10 ; }
         if $XINETD_INIT_SCRIPT status &>/dev/null
         then $XINETD_INIT_SCRIPT reload || { echo "Failed to reload xinetd" 1>&2 ; exit 7 ; }
         fi
    fi
    XINETD_CONFIG_FILE is "/etc/xinetd.d/sane-port" which exists
    XINETD_INIT_SCRIPT is "/etc/init.d/xinetd" which does not exists

    I suppose that all the stuff like
    Code:
    $XINETD_INIT_SCRIPT status
    should be replaced by
    Code:
    systemctl status xinet.service
    ?

    Any help is welcome.
    Thanks for helping. JCD
    __________
    server leap 15.0 -- ASUS g75vw KDE leap 15.2 -- ASUS G731GV KDE leap 15.2 -- acer aspire s13 win 10 home -- HP Omen win 10 home - scan EPSON V500 - Brother HL2250DN - Samsung CLP-325W

  2. #2
    Join Date
    Jun 2008
    Location
    South-West France
    Posts
    1,307

    Default Re: OS 13.1 - Yast2 Scanner Configuration

    Modification seems to work.

    Perhaps may have to open a bug report ?
    Thanks for helping. JCD
    __________
    server leap 15.0 -- ASUS g75vw KDE leap 15.2 -- ASUS G731GV KDE leap 15.2 -- acer aspire s13 win 10 home -- HP Omen win 10 home - scan EPSON V500 - Brother HL2250DN - Samsung CLP-325W

  3. #3
    Join Date
    Jun 2011
    Location
    Brazil - São Paulo
    Posts
    21

    Default Re: OS 13.1 - Yast2 Scanner Configuration

    Same problem here.

  4. #4
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: OS 13.1 - Yast2 Scanner Configuration

    On 2014-03-17 21:16, l2mago wrote:
    >
    > Same problem here.


    Well, if there is no bug report, the issue will never be solved.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 13.1 x86_64 "Bottle" at Telcontar)

  5. #5
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    23,700
    Blog Entries
    1

    Default Re: OS 13.1 - Yast2 Scanner Configuration

    Quote Originally Posted by robin_listas View Post
    On 2014-03-17 21:16, l2mago wrote:
    >
    > Same problem here.


    Well, if there is no bug report, the issue will never be solved.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 13.1 x86_64 "Bottle" at Telcontar)
    Yes, my thoughts too

  6. #6
    Join Date
    Sep 2013
    Location
    New York
    Posts
    198

    Default Re: OS 13.1 - Yast2 Scanner Configuration

    what scanner do you have?

    I have an HP MFM (printer/scanner/fax) and after setting up the printer part, scanner was simply there to install and use. but I can see that OpenSuse have some kind of close relationship to HP as there is a special HP setup center you can install, that helps with setup and driver search and all. maybe for other mfg. it is not as easy?!
    also I did not tried the fax yet :-)

  7. #7
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: OS 13.1 - Yast2 Scanner Configuration

    On 2014-03-18 16:16, vl1969 wrote:
    >
    > what scanner do you have?


    Irrelevant. This is about the feature for scanning via a network
    connected scanner. There is a Bug in yast for setting that up, and
    apparently it has not been corrected.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 13.1 x86_64 "Bottle" at Telcontar)

  8. #8
    Join Date
    Sep 2013
    Location
    New York
    Posts
    198

    Default Re: OS 13.1 - Yast2 Scanner Configuration

    excuse me robin but I am not sure it's irrelevant.
    mine is a network connected MFM and it took me ohh all 15 min to get the drivers and set it up.
    if his scanner is HP he might use the HP module to get proper drivers for it and than the function will work as expected maybe...

    the only issue I had was remembering the MFM IP address and proper model of it, it's been a while since I had it set up and I was to lazy to go and read it.

  9. #9
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: OS 13.1 - Yast2 Scanner Configuration

    On 2014-03-18 16:56, vl1969 wrote:
    >
    > excuse me robin but I am not sure it's irrelevant.
    > mine is a network connected MFM and it took me ohh all 15 min to get the
    > drivers and set it up.
    > if his scanner is HP he might use the HP module to get proper drivers
    > for it and than the function will work as expected maybe...
    >
    > the only issue I had was remembering the MFM IP address and proper model
    > of it, it's been a while since I had it set up and I was to lazy to go
    > and read it.


    Well, the original poster in this thread reported a precise issue in a
    yast module (/usr/lib/YaST2/bin/setup_network_scanner_config) and
    published a patch for it.

    That's the issue of this thread :-)

    That there may be other ways of doing the setup, yes, fine, but that is
    not the issue :-)

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 13.1 x86_64 "Bottle" at Telcontar)

  10. #10
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    23,700
    Blog Entries
    1

    Default Re: OS 13.1 - Yast2 Scanner Configuration

    Quote Originally Posted by vl1969 View Post
    excuse me robin but I am not sure it's irrelevant.
    mine is a network connected MFM and it took me ohh all 15 min to get the drivers and set it up.
    if his scanner is HP he might use the HP module to get proper drivers for it and than the function will work as expected maybe...

    the only issue I had was remembering the MFM IP address and proper model of it, it's been a while since I had it set up and I was to lazy to go and read it.
    For those of us who don't use YaST to configure scanners there is no issue, but this obviously can impact those who do.

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •